> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fireworks.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Billing Summary



## OpenAPI

````yaml get /v1/accounts/{account_id}/billing/summary
openapi: 3.1.0
info:
  title: Gateway REST API
  version: 4.259.0
servers:
  - url: https://api.fireworks.ai
security:
  - BearerAuth: []
tags:
  - name: Gateway
paths:
  /v1/accounts/{account_id}/billing/summary:
    get:
      tags:
        - Gateway
      summary: Get billing summary information for an account
      operationId: Gateway_GetBillingSummary
      parameters:
        - name: startTime
          description: >-
            Start time for the billing period.

            Note: Costs are aggregated daily. Only the date portion (YYYY-MM-DD)
            is used;

            the time portion is ignored. For example, 2025-10-05T07:18:29Z and

            2025-10-05T23:59:59Z are treated the same as 2025-10-05T00:00:00Z.
          in: query
          required: true
          schema:
            type: string
            format: date-time
        - name: endTime
          description: >-
            End time for the billing period (exclusive).

            Note: Costs are aggregated daily. Only the date portion (YYYY-MM-DD)
            is used;

            the time portion is ignored. Costs for the end date are NOT
            included.

            For example, to get costs for Oct 5 and Oct 6, use:
              start_time: 2025-10-05T00:00:00Z
              end_time: 2025-10-07T00:00:00Z (Oct 7 is excluded)
          in: query
          required: true
          schema:
            type: string
            format: date-time
        - name: account_id
          in: path
          required: true
          description: The Account Id
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/gatewayGetBillingSummaryResponse'
components:
  schemas:
    gatewayGetBillingSummaryResponse:
      type: object
      properties:
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/gatewayLineItem'
            type: object
          title: Individual billing line items
      title: Response for billing summary endpoint
    gatewayLineItem:
      type: object
      properties:
        category:
          type: string
          title: Category name (e.g., "Audio Transcription", "Text Completion")
        groupingKey:
          type: string
          title: Primary grouping key (e.g., "model", "model_bucket")
        groupingValue:
          type: string
          title: >-
            Primary grouping value (e.g., "whisper-v3",
            "llama-v3p3-70b-instruct")
        secondaryGroupingKey:
          type: string
          title: Secondary grouping key (e.g., "is_batch")
        secondaryGroupingValue:
          type: string
          title: Secondary grouping value (e.g., "true", "false")
        quantity:
          type: number
          format: double
          title: Quantity consumed
        unitAmount:
          $ref: '#/components/schemas/typeMoney'
          title: Unit amount (price per unit)
        totalCost:
          $ref: '#/components/schemas/typeMoney'
          title: Total cost for this line item
      title: Individual billing line item
    typeMoney:
      type: object
      properties:
        currencyCode:
          type: string
          description: The three-letter currency code defined in ISO 4217.
        units:
          type: string
          format: int64
          description: >-
            The whole units of the amount.

            For example if `currencyCode` is `"USD"`, then 1 unit is one US
            dollar.
        nanos:
          type: integer
          format: int32
          description: >-
            Number of nano (10^-9) units of the amount.

            The value must be between -999,999,999 and +999,999,999 inclusive.

            If `units` is positive, `nanos` must be positive or zero.

            If `units` is zero, `nanos` can be positive, zero, or negative.

            If `units` is negative, `nanos` must be negative or zero.

            For example $-1.75 is represented as `units`=-1 and
            `nanos`=-750,000,000.
      description: Represents an amount of money with its currency type.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication using your Fireworks API key. Format: Bearer
        <API_KEY>
      bearerFormat: API_KEY

````